Subject: Re: bug#39920: 27.0.90; repeat crashes on macOS

From: Alan Third <[email-masked]>
Date: Sat, 7 Mar 2020 10:43:58 +0100 (CET)

On Sat, Mar 07, 2020 at 02:03:59PM +1000, William Rankin wrote:
> This may have been an issue with the specific build. I've rebuilt (from the same
> commit) and haven't experienced crashes.

Thanks for letting us know.

I’m wondering if this could possibly be related to a warning we get
complaining that a variable may be used uninitialized. I don’t know
enough to know whether it could actually cause crashes.

Anyway, there’s already a fix applied on master, but should we fix it
on Emacs 27?

modified   src/nsterm.m
@@ -2478,7 +2478,7 @@ so some key presses (TAB) are swallowed by the system.  */
   id view;
   NSPoint view_position;
   Lisp_Object frame, tail;
-  struct frame *f;
+  struct frame *f = NULL;
   struct ns_display_info *dpyinfo;
 
   NSTRACE ("ns_mouse_position");

-- 
Alan Third